package com.jay.monitor.data.core.model.serializable.base;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2020/10/27 10:40
 */
public interface TranceLogData extends LogDataData {
    /**
     * 根日志编号
     *
     * @return
     */
    public String getRootLogId();

    /**
     * 设置根日志编号
     *
     * @param rootLogId
     */
    public void setRootLogId(String rootLogId);

    /**
     * 上层日志编号
     *
     * @return
     */
    public String getParentLogId();

    /**
     * 设置上层日志编号
     *
     * @param parentLogId
     */
    public void setParentLogId(String parentLogId);

}
